autogen.sh: pass --force to autoreconf, quote ORIGDIR

By passing --force autoreconf will update all the aux files, which would
otherwise be ignored if one updates autoconf/automake.

Quote the ORIGDIR variable to prevent fall-outs, when its name contains
space.

Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
Reviewed-by: Matt Turner <mattst88@gmail.com>
diff --git a/autogen.sh b/autogen.sh
index 626d213..c896097 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,8 +6,8 @@
 ORIGDIR=`pwd`
 cd "$srcdir"
 
-autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+autoreconf --force --verbose --install || exit 1
+cd "$ORIGDIR" || exit $?
 
 if test -z "$NOCONFIGURE"; then
     "$srcdir"/configure "$@"